package jvm.createthread;

import java.util.Arrays;
import java.util.List;
import java.util.concurrent.ForkJoinPool;

public class CreateByForkJoin {

    public static void main(String[] args) {
        ForkJoinPool forkJoinPool = new ForkJoinPool();
        forkJoinPool.execute(() -> {
            System.out.println("create thread by using forkjoin 10A...");
        });

        List<String> list = Arrays.asList("10B......");
        list.parallelStream().forEach(System.out::println);
    }
}
